%define gauche_version 0.8.13

Name:           gauche-gl
Version:        0.4.4
Release:        3%{?dist}
Summary:	OpenGL binding for Gauche

Group:          Development/Languages
License:        BSD
URL:            http://www.shiro.dreamhost.com/scheme/gauche
Source:         http://download.sourceforge.net/gauche/Gauche-gl-%{version}.tgz
Patch1:         Gauche-gl-0.4.3-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	gauche-devel = %{gauche_version}
BuildRequires:  freeglut-devel
BuildRequires:  libSM-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  texinfo
Requires:       gauche = %{gauche_version}
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info
ExcludeArch:    ppc64


%description
OpenGL binding for Gauche.


%prep
%setup -q -n Gauche-gl-%{version}
%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no japanese info docs
rm -f $RPM_BUILD_ROOT%{_infodir}/gauche-gl-refj.*

# make .so files executable
find $RPM_BUILD_ROOT -name '*.so' -exec chmod 0755 '{}' ';'

# include file not necessary
rm -rf $RPM_BUILD_ROOT%{_libdir}/gauche/%{gauche_version}/include

# correct end-of-line-encoding
sed -i 's/\r//' examples/slbook/ogl2particle/* examples/slbook/ogl2brick/*

# these are not necessary
rm -f examples/glbook/run
rm -f examples/slbook/ogl2particle/run.sh

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}-refe.info %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}-refe.info %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{_libdir}/gauche
%{_datadir}/gauche
%{_infodir}/gauche-gl-refe.*
%doc COPYING examples


%changelog
* Thu Feb 14 2008 Gerard Milmeister <gemi@bluewin.ch> - 0.4.4-3
- rebuild for gauche 0.8.13

* Sat Aug 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.4.4-2
- exclude arch ppc64, depends on non-existing ppc64 gauche

* Sat Aug 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.4.4-1
- new release 0.4.4

* Fri Apr 20 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.4.3-3
- rebuild for gauche 0.8.10

* Thu Feb 22 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.4.3-2
- added patch for compiling with opt flags

* Thu Jan 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.4.3-1
- new version 0.4.3

* Mon Nov 13 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.4.2-1
- new version 0.4.2

* Fri May  5 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.4.1-4
- cleaned up Requires
- removed unnecessary files

* Sun Nov  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.4.1-1
- New Version 0.4.1

* Fri Jul  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.4-1
- New Version 0.4

* Wed Feb 23 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:0.3.1-1
- New Version 0.3.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:0.3-0.fdr.1
- First Fedora release

